# `detach` ( class in module `jsPlumb` )

## Description

Detaches a Connection.

## Parameters

- `connection – {object} –`

  The to detach

- `params – {object} –`

  Optional parameters to the detach call. valid values here are fireEvent : defaults to false; indicates you want jsPlumb to fire a connection detached event. The thinking behind this is that if you made a programmatic call to detach an event, you probably don't need the callback. forceDetach : defaults to false. allows you to override any beforeDetach listeners that may be registered.

## Returns

`{boolean}` –

True if successful, false if not.